%global is_fedora %(rpm -q --quiet fedora-release && echo 1 || echo 0)

Summary: gLite Logging and Bookkeeping documentation
Name: glite-lb-doc
Version: 1.3.8
Release: 1%{?dist}
Url: http://glite.cern.ch
License: ASL 2.0
Vendor: EMI
Group: Development/Tools
BuildArch: noarch
%if %is_fedora
BuildRequires: texlive-latex
%else
BuildRequires: tetex-latex
%endif
BuildRequires: glite-lb-types
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
AutoReqProv: yes
Source: http://eticssoft.web.cern.ch/eticssoft/repository/emi/emi.lb.doc/%{version}/src/%{name}-1.3.8-1.src.tar.gz


%description
glite-lb-doc is a package containing the complete LB documentation. This
package contains the LB User's Guide (LBUG.pdf), LB Administrator's Guide
(LBAG.pdf), LB Developer's Guide (LBDG.pdf) and LB Test Plan
(LBTP.pdf).


%prep
%setup -q


%build
/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=%{_lib} --project=emi --module lb.doc --version 1.3.8-1
make


%check
make check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir /usr/share/doc/%{name}-%{version}/
%dir /usr/share/doc/%{name}-%{version}/examples/
/usr/share/doc/%{name}-%{version}/examples/*
/usr/share/doc/%{name}-%{version}/LICENSE
/usr/share/doc/%{name}-%{version}/README
/usr/share/doc/%{name}-%{version}/ChangeLog
/usr/share/doc/%{name}-%{version}/LBAG.pdf
/usr/share/doc/%{name}-%{version}/LBUG.pdf
/usr/share/doc/%{name}-%{version}/LBDG.pdf
/usr/share/doc/%{name}-%{version}/LBTG.pdf
/usr/share/doc/%{name}-%{version}/LBTP.pdf
/usr/share/doc/%{name}-%{version}/package.summary
/usr/share/doc/%{name}-%{version}/package.description


%changelog
* Wed Jun 05 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 1.3.8-1%{?dist}
- automatically generated package
